# Feed 'K' - Positions

**Requests**

{% tabs %}
{% tab title="Subscribe" %}

```json
{"event": "bind", "feed": "K", "feedId": "EUR"}
```

{% hint style="info" %}
Use `currency name`or `currency id` as `feedId` value to subscribe to positions in particular currency. If `feedId` field is absent, no filter is applied.
{% endhint %}
{% endtab %}

{% tab title="Unsubscribe" %}

```json
{"event": "unbind", "feed": "K"}
```

{% endtab %}
{% endtabs %}

**Feed handling**

{% tabs %}
{% tab title="Definitions" %}

```json
position = [
  0: currencyName (string)
  1: value (Efx::Size)
  2: counterpartyId (Efx::ClientId)
  3: maxReachablePosition (Efx::Size)
  4: minReachablePosition (Efx::Size)
]
```

{% endtab %}

{% tab title="Possible updates" %}

```
// snapshot
['K', feed_id, 'S', [position]]

// new position
['K', feed_id, '+', position]

// update position
['K', feed_id, 'M', position]

// del position
['K', feed_id, '-', position]

// failed to subscribe
['K', feed_id, 'Z', 2]

// unsubscribed
['K', feed_id, 'U', 0]
```

{% hint style="info" %}
`feed_id` is copied from subscription request and 0 if not provided
{% endhint %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/websocket-api/feed-k-positions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
